.\"	$NetBSD: tm121temp.4,v 1.5 2007/04/13 00:37:47 plunky Exp $
.\"
.\" Copyright (c) 2006 Garrett D'Amore
.\" All rights reserved.
.\"
.\" Written by Garrett D'Amore.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse
.\"    or promote products derived from this software without specific
.\"    prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
.\" GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
.\" WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
.\" NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
.\" SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 9, 2006
.Dt TM121TEMP 4
.Os
.Sh NAME
.Nm tm121temp
.Nd Texas Instruments TMP121 temperature sensor
.Sh SYNOPSIS
.Cd "tm121temp0 at spi? slave 0"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn Texas Instruments
(formerly
.Tn Burr-Brown )
TMP121 temperature sensor
with the
.Xr envsys 4
API.
These devices are connected to the host system with
.Xr spi 4
or
.Tn Microwire
4-wire serial busses.
The
.Nm
is capable of measuring temperatures with a 2 degree accuracy
over the frame from -40 to 125 Celsius.
Temperatures are reported with a
granularity of 625 microKelvins.
.Pp
.Nm
devices can transfer information at up to 10MHz, and support
SPI mode 0.
.Pp
The device reports itself with
.Xr envsys 4
using the generic device name.
This name can be overridden, by specifying an alternate name in the device
property
.Dq envsys-description .
.Sh SEE ALSO
.Xr envsys 4 ,
.Xr spi 4 ,
.Xr envstat 8
.Sh HISTORY
The
.Nm
driver was written by
.An Garrett D'Amore
and first appeared in
.Nx 4.0 .
